<?php
namespace Teknisa\MAN\Controllers;

use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Response\Notification;
use Zeedhi\Framework\DataSource;
use Zeedhi\Framework\DataSource\Manager;
use Zeedhi\Framework\DataSource\ParameterBag;
use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DataSource\FilterCriteria;
use Teknisa\MAN\Services;

class SelectConsumidor extends \Teknisa\MAN\Controllers\TeknisaCrud {

	protected $dataSourceName = 'consumidorSelect';
	protected $parameterBagColumns;

    public function __construct ($crudService, $parameterBag, $entityManager) {
        $this->crudService = $crudService;
		$this->parameterBag = $parameterBag;
		$this->entityManager = $entityManager;
    }
    
    public function consumidorFilialSelect(DTO\Request\Filter $request, DTO\Response $response){
        parent::find($request,$response);
    }
    
    public function findConsumidorClie(DTO\Request\Filter $request, DTO\Response $response){
        $this->dataSourceName = 'select_consumidor';
        parent::find($request,$response);
    }
}